Subject: Re: guix-daemon fails to start in Childhurd

From: Jan Nieuwenhuizen <[email-masked]>
Date: Mon, 21 Sep 2020 10:41:19 +0200

Mathieu Othacehe writes:

Hello Mathieu,

>>     8ce6f4dc2879919c12bc76a2f4b01200af97e019
>>     installer: Run the installation inside a container.
>>
>> ...but I don't find the commit message quite clear about its intention
>> to *always* run guix-daemon in a container; it could be read as
>> sugessting to do so only during installation?
>
> Thanks for the detailed bug report. Yes it's not very clear, I'll try to
> improve the comments. The idea is that when you run:
>
> herd start guix-daemon PID
>
> then, the guix-daemon joins the given PID namespaces, which is practical
> to solve an installation issue.
>
> If guix-daemon is started normally, outside of the installation process,
> then it joins the caller namespaces, which should be a no-op. Of course,
> it breaks everything if the operating system does not support
> namespaces.
>
> Fixed with 6453915cf7729203ef9552c13cb4528c6f4ed122.

Yay, I can confirm that it works!

> Sorry for the breakage,

Thanks for the quick fix and explanation, I didn't catch that no-op
trick!  It's all about context/knowledge I guess; If you know how /ns/
works, I guess that the patch/explanation was clear.

Greetings,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com